Bug 1720656 - Curl command in Elasticsearch readiness probe bloats dentry cache
Summary: Curl command in Elasticsearch readiness probe bloats dentry cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Rich Megginson
QA Contact: Anping Li
URL:
Whiteboard: 4.1.4
Depends On: 1720479
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-14 13:11 UTC by Rich Megginson
Modified: 2019-07-04 09:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The readiness probe for Elasticsearch uses curl with https. curl uses NSS for crypto. NSS uses too much file system cache. Consequence: The file system cache dentry grows too large too fast. Elasticsearch and the node may become unresponsive. Fix: Set the flag NSS_SDB_USE_CACHE=no in the readiness probe to workaround the NSS behavior. Result: No undue growth in the dentry cache for Elasticsearch is seen.
Clone Of: 1720479
Environment:
Last Closed: 2019-07-04 09:01:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 1668 None closed Bug 1720656 - Curl command in Elasticsearch readiness probe bloats dentry cache 2020-05-14 19:54:37 UTC
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:47 UTC

Comment 5 Anping Li 2019-06-20 10:57:06 UTC
No downstream image have been build with the fix

Comment 8 Anping Li 2019-06-28 08:02:02 UTC
NSS_SDB_USE_CACHE=no have been added to v4.1.4

Comment 10 errata-xmlrpc 2019-07-04 09:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.